spotPairDeployAuctionStatus
Returns the current status of the spot trading-pair deploy auction, including timing and gas pricing.
Field
Type
Description
type
string
Must be "spotPairDeployAuctionStatus"
Request
curl -X POST https://api.hydromancer.xyz/info \
-H "Authorization: Bearer $HYDROMANCER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "spotPairDeployAuctionStatus"
}'import requests
import os
import json
response = requests.post(
'https://api.hydromancer.xyz/info',
json={
'type': 'spotPairDeployAuctionStatus'
},
headers={
'Authorization': f'Bearer {os.environ["HYDROMANCER_API_KEY"]}',
'Content-Type': 'application/json'
}
)
print(json.dumps(response.json(), indent=2))Response Fields
Field
Type
Description
startTimeSeconds
int
Auction start time (unix seconds)
durationSeconds
int
Auction duration in seconds
startGas
string
Gas price at the start of the auction
currentGas
string
Current gas price
endGas
string?
Gas price at the end of the auction, null while in progress
Last updated